Bug 1474529 - Missing grep dependency
Missing grep dependency
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-07-24 17:15 EDT by Nathaniel McCallum
Modified: 2017-12-12 05:20 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:20:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Install Log (118.50 KB, text/plain)
2017-07-25 13:36 EDT, Nathaniel McCallum
no flags Details

  None (edit)
Description Nathaniel McCallum 2017-07-24 17:15:18 EDT
Steps to reproduce:
1. Build a chroot using dnf as specified in man systemd-nspawn.
2. Observe that systemd scriptlets fail due to missing grep dependency.

I tested this on F25, F26 and rawhide chroots and got the same error in all cases. Manually installing grep first and then making the chroot works fine.
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-24 18:46:18 EDT
What error are you getting? Please paste the whole log.

systemd uses grep in %post scriptlets for the main subpackage and -libs subpackage, and both have Requires(post):grep.
Comment 2 Nathaniel McCallum 2017-07-25 13:35:51 EDT
Apparently, I did the earlier tests wrong. This issue only appears on F25. I will attach the log.
Comment 3 Nathaniel McCallum 2017-07-25 13:36 EDT
Created attachment 1304367 [details]
Install Log
Comment 4 Zbigniew Jędrzejewski-Szmek 2017-07-25 18:23:11 EDT
Indeed, it's missing in F25. I pushed the update to the spec file now, it'll be fixed in next rebuild.
Comment 5 Fedora End Of Life 2017-11-16 14:51:41 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 05:20:23 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.